LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices



Reply
 
Search this Thread
Old 10-13-2010, 04:14 AM   #1
mdfakkeer
Member
 
Registered: Jul 2009
Location: India
Distribution: Fedora,ubuntu
Posts: 35

Rep: Reputation: Disabled
Subversion Version issue


I compiled and installed subversion 1.4.3 on ubuntu 9.10. After installing , I checked the svn version through the svnadmin –version command . It shows like below

hadoopadmin@DcpSlave1:/etc/apache2/sites-available$ svnadmin --version
svnadmin, version 1.4.3 (r23084)
compiled Oct 13 2010, 11:12:51

Copyright (C) 2000-2006 CollabNet.
Subversion is open source software, see http://subversion.tigris.org/
This product includes software developed by CollabNet (http://www.Collab.Net/).

The following repository back-end (FS) modules are available:

* fs_fs : Module for working with a plain file (FSFS) repository.


But when I am creating a dummy repo using the svnadmin create command . it create the repo structure as svn 1.6.5 . Also I checked through browser It shows subversion version 1.6.5. Also I tried to copy the our subversion 1.4.3 version server backup content on the server, it through the Human error.

why the version showing 1.6.5 on browser? Any body have idea about solve the issue.?.
Attached Images
File Type: png Screenshot-2.png (71.2 KB, 3 views)

Last edited by mdfakkeer; 10-13-2010 at 04:16 AM.
 
Old 10-13-2010, 05:04 AM   #2
bathory
Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 10,975

Rep: Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343
Hi,

I guess your apache still uses the 1.6.5 mod_dav_svn modules.
You can use your distro's package manager to uninstall subversion and libapache2-svn and then use your compiled modules.

Regards
 
Old 10-13-2010, 06:06 AM   #3
mdfakkeer
Member
 
Registered: Jul 2009
Location: India
Distribution: Fedora,ubuntu
Posts: 35

Original Poster
Rep: Reputation: Disabled
I removed the Libapache2-svn package. Tried to restart apache. apache through error regarding DAV. How to solve the issue?. Any alternete package for subversion 1.4.3 and apache to work.
 
Old 10-13-2010, 06:31 AM   #4
bathory
Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 10,975

Rep: Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343Reputation: 1343
You should post the exact error you get.

Anyway, ubuntu uses a2enmod to enable apache modules installed with apt-get. you can do it by hand, by copying the dav.svn modules into /usr/lib/apache2/modules and make sure your have a file /etc/apache2/mods-enabled/dav_svn.conf containing:
Code:
LoadModule dav_module modules/mod_dav.so
LoadModule dav_svn_module modules/mod_dav_svn.so
BTW, why do you want to downgrade subversion?
 
Old 10-14-2010, 01:39 AM   #5
mdfakkeer
Member
 
Registered: Jul 2009
Location: India
Distribution: Fedora,ubuntu
Posts: 35

Original Poster
Rep: Reputation: Disabled
I am using subversion 1.4.3.I want to migrate all my repo data to one server(running fedora 6 subversion 1.4.3) to another server( running ubuntu 10.04 subversion 1.6.5). i used the dump command to create one dump file. dump file size is 27 GB. After moving dump file to new server, i used the load command to retrieve the data and revision to new server.


after committed the revision 30933 it stops the process and through the following error.

svadmin can't increment mergeinfo count on node revision 0.298.0.t30933-nv9 to negative value -62276514519093008422
* adding path : labels/2.1.4.139 ....

I skip the particular revision through the following method

svnadmin dump -r 1:30932 > mycode.dump
svnadmin dump -r 30934:HEAD >> mycode.dump

svnadmin load /this/is/my/new/path < mycode.dump

But so many revision has same problem.


my repo conatain 50234 revision. How to copy all my revision to my new server. So now tried with subversion 1.4.3 with hotcopy on new server.If any body knows how to migrate all my repo in 1.4.3 to 1.6.5. please reply.
 
Old 10-14-2010, 08:30 AM   #6
prayag_pjs
Senior Member
 
Registered: Feb 2008
Location: Pune - India
Distribution: Fedora,RedHat,CentOS,Gentoo
Posts: 1,138
Blog Entries: 4

Rep: Reputation: 147Reputation: 147
Can you do

Quote:
which svn
and also

Quote:
rpm -qf `which svn`
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Yum is installing an old version of subversion -- how can I get the latest version? dhjdhj Linux - Newbie 6 06-18-2009 02:34 AM
Deleting version from Subversion Server drpaudel Linux - Newbie 2 07-07-2008 03:58 PM
Is there a Pre-built version of Subversion for MDK 10.1? wesslan Mandriva 0 06-07-2006 07:30 AM
Subversion - version tagging in files? thinksincode Linux - Software 0 11-27-2004 01:47 AM
How to install Subversion(Version Control with Subversion) under RedHat Linux. netkiller Linux - Networking 1 07-01-2004 06:45 AM


All times are GMT -5. The time now is 04:06 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration